/*
 *   SONEWS News Server
 *   see AUTHORS for the list of contributors
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.sonews.storage;

import java.io.IOException;
import java.util.Enumeration;
import javax.mail.Header;
import javax.mail.MessagingException;
import javax.mail.internet.InternetHeaders;

/**
 * V Article je IMHO chyba, protože se hlavičky z msg zapíší dvakrát.
 * @author František Kučera (frantovo.cz)
 */
public class DrupalArticle extends Article {

	public DrupalArticle(DrupalMessage msg) throws MessagingException, IOException {
		headers = new InternetHeaders();

		/** In order to have all headers (like MIME type) */
		msg.saveChanges();

		for (Enumeration e = msg.getAllHeaders(); e.hasMoreElements();) {
			final Header header = (Header) e.nextElement();
			this.headers.addHeader(header.getName(), header.getValue());
		}

		setBody(msg.getBody());
		validateHeaders();
	}
}
